[SCM] pkg-kde repository scripts branch, master, updated. 37a8dcc8c10122f213640087e15e02b45b8689f5

Modestas Vainius modax at alioth.debian.org
Thu May 5 18:55:44 UTC 2011


The following commit has been merged in the master branch:
commit 37a8dcc8c10122f213640087e15e02b45b8689f5
Author: Modestas Vainius <modax at debian.org>
Date:   Thu May 5 18:53:15 2011 +0000

    Add update-distro script to ease `reprepro update` procedure.
---
 update-distro |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

diff --git a/update-distro b/update-distro
new file mode 100755
index 0000000..6ad7fb4
--- /dev/null
+++ b/update-distro
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+. `dirname "$0"`/repository.conf
+
+distro=$1
+
+if [ -z "$distro" ]; then
+	echo "Usage: $0 distribution-to-update"
+	exit 10
+fi
+
+$REPREPRO update "$distro"
+echo $distro >> "$FLOOD_DISTROS"
+$REPO/processincoming
+$REPO/repository-updated
+

-- 
pkg-kde repository scripts



More information about the pkg-kde-commits mailing list